## http 1.8.0~ng1.webui-manager

=== debian/changelog ===
http (1.8.0~ng1.webui-manager-1) unstable; urgency=medium

  [PR https://github.com/thecoshman/http/pull/97]
  * Delete, Rename, and New Folder buttons (see
    https://github.com/thecoshman/http/issues/93#issuecomment-549523939
    for screenshots)
  * Fixed first-level children's parent links
  * Fixed non-absolute symlinks

 -- nabijaczleweli <nabijaczleweli@gmail.com>  Sat, 15 Feb 2020 17:38:20 +0100

http (1.8.0-1) unstable; urgency=medium

  * Initial release, upstream version 1.8.0

 -- nabijaczleweli <nabijaczleweli@gmail.com>  Sat, 15 Feb 2020 17:38:20 +0100

## http load-09Mar2016

=== Makefile ===
# Makefile for http_load

# CONFIGURE: If you are using a SystemV-based operating system, such as
# Solaris, you will need to uncomment this definition.
#SYSV_LIBS =	-lnsl -lsocket -lresolv

# CONFIGURE: If you want to compile in support for https, uncomment these
# definitions.  You will need to have already built OpenSSL, available at
# http://www.openssl.org/  Make sure the SSL_TREE definition points to the
# tree with your OpenSSL installation - depending on how you installed it,
# it may be in /usr/local instead of /usr/local/ssl.
#SSL_TREE =	/usr/local/ssl
#SSL_DEFS =	-DUSE_SSL
#SSL_INC =	-I$(SSL_TREE)/include
#SSL_LIBS =	-L$(SSL_TREE)/lib -lssl -lcrypto


BINDIR =	/usr/local/bin
MANDIR =	/usr/local/man/man1
CC =		cc
CFLAGS =	-O $(SRANDOM_DEFS) $(SSL_DEFS) $(SSL_INC) -ansi -pedantic -U__STRICT_ANSI__ -Wall -Wpointer-arith -Wshadow -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wredundant-decls -Wno-long-long
LDFLAGS =	-s $(SSL_LIBS) $(SYSV_LIBS)

all:		http_load

http_load:	http_load.c timers.h port.h timers.o
	$(CC) $(CFLAGS) http_load.c timers.o $(LDFLAGS) -o http_load

timers.o:	timers.c timers.h
	$(CC) $(CFLAGS) -c timers.c

install:	all
	rm -f $(BINDIR)/http_load
	cp http_load $(BINDIR)
	rm -f $(MANDIR)/http_load.1
	cp http_load.1 $(MANDIR)

clean:
	rm -f http_load *.o core core.* *.core

tar:
	@name=`sed -n -e '/#define HTTP_LOAD_VERSION /!d' -e 's,.*http_load ,http_load-,' -e 's,",,p' version.h` ; \
	  rm -rf $$name ; \
	  mkdir $$name ; \
	  tar cf - `cat FILES` | ( cd $$name ; tar xfBp - ) ; \
	  chmod 644 $$name/Makefile ; \
	  tar cf $$name.tar $$name ; \
	  rm -rf $$name ; \
	  gzip $$name.tar

## http 1.8.0

=== debian/control ===
Source: http
Section: admin
Priority: optional
Maintainer: nabijaczleweli <nabijaczleweli@gmail.com>
Uploaders: nabijaczleweli <nabijaczleweli@gmail.com>
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: https://github.com/nabijaczleweli/http.deb.git
Vcs-Browser: https://github.com/nabijaczleweli/http.deb
Homepage: https://github.com/thecoshman/http
Tag: implemented-in::rust, role::program
#Build-Depends: ronn,  too old, broken on my machine
#               rustc?

Package: http
Architecture: linux-any
Section: web
Priority: optional
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Host These Things Please - a basic http server for hosting a folder fast and simply
 http is a well-featured static HTTP server, which doesn't require root privileges,
 and supports (option-gated) HTTP write, WebDAV, and Basic auth.

=== debian/rules ===
#!/usr/bin/make -f


CARGO ?= cargo
RONN ?= ronn

OUTDIR = $(CURDIR)/debian/http/
VERSION = $(shell awk '/^version/ {print $$3; exit}' Cargo.toml | sed 's/"//g')


override_dh_auto_build:
	$(RONN) --organization="http developers" http.md 
	RUSTFLAGS=-g $(CARGO) build --release

override_dh_auto_install:
	mkdir -p $(OUTDIR)usr/bin $(OUTDIR)usr/share/man/man1 $(OUTDIR)usr/share/doc/http
	cp target/release/http $(OUTDIR)usr/bin/
	cd $(OUTDIR)usr/bin/ && ln http httplz
	cat http.1 | gzip -9 > $(OUTDIR)usr/share/man/man1/http.1.gz
	cat README.md | gzip -9 > $(OUTDIR)usr/share/doc/http/README.md.gz

%:
	dh $@

## http 1.8.0+ng1~webui-manager

=== debian/changelog ===
http (1.8.0+ng1~webui-manager-2) unstable; urgency=medium

  * Fixed versioning scheme so it actually works
  * Upstream changelog

 -- nabijaczleweli <nabijaczleweli@gmail.com>  Sun, 16 Feb 2020 16:55:50 +0100

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,7 @@
 	cd $(OUTDIR)usr/bin/ && ln http httplz
 	cat http.1 | gzip -9 > $(OUTDIR)usr/share/man/man1/http.1.gz
 	cat README.md | gzip -9 > $(OUTDIR)usr/share/doc/http/README.md.gz
+	cat debian/changelog.upstream | gzip -9 > $(OUTDIR)usr/share/doc/http/changelog.gz
 
 %:
 	dh $@

## http 1.8.0+ng2~proxy-header

=== debian/changelog ===
http (1.8.0+ng2~proxy-header-3) unstable; urgency=medium

  * Use debhelper overrides correctly
  * Fix source package Section

 -- nabijaczleweli <nabijaczleweli@gmail.com>  Thu, 20 Feb 2020 03:18:28 +0100

http (1.8.0+ng2~proxy-header-2) unstable; urgency=medium

  * Fix lintian package-uses-debhelper-but-lacks-build-depends,
                binary-without-manpage,
                description-too-long,
                extended-description-line-too-long,
                maintainer-also-in-uploaders

 -- nabijaczleweli <nabijaczleweli@gmail.com>  Tue, 18 Feb 2020 17:19:34 +0100

http (1.8.0+ng2~proxy-header-1) unstable; urgency=medium

  * --proxy [HEADER-NAME:CIDR]... argument to fix logs behind a reverse proxy

 -- nabijaczleweli <nabijaczleweli@gmail.com>  Mon, 17 Feb 2020 18:44:36 +0100

=== debian/control ===
Source: http
Section: web
Priority: optional
Maintainer: nabijaczleweli <nabijaczleweli@gmail.com>
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: https://github.com/nabijaczleweli/http.deb.git
Vcs-Browser: https://github.com/nabijaczleweli/http.deb
Homepage: https://github.com/thecoshman/http
Tag: implemented-in::rust, role::program
Build-Depends: debhelper,
#              ronn,  too old, broken on my machine
#              rustc?

Package: http
Architecture: linux-any
Section: web
Priority: optional
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Host These Things Please - basic HTTP server
 Host These Things Please - a basic http server for
 hosting a folder fast and simply
 .
 http is a well-featured static HTTP server,
 which doesn't require root privileges,
 and supports (option-gated) HTTP write, WebDAV, and Basic auth.

=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,16 @@
 	cp target/release/http $(OUTDIR)usr/bin/
 	cd $(OUTDIR)usr/bin/ && ln http httplz
 	cat http.1 | gzip -9 > $(OUTDIR)usr/share/man/man1/http.1.gz
-	cat README.md | gzip -9 > $(OUTDIR)usr/share/doc/http/README.md.gz
-	cat debian/changelog.upstream | gzip -9 > $(OUTDIR)usr/share/doc/http/changelog.gz
+	cd $(OUTDIR)usr/share/man/man1/ && ln http.1.gz httplz.1.gz
+
+override_dh_installchangelogs:
+	dh_installchangelogs debian/changelog.upstream
+
+override_dh_installdocs:
+	dh_installdocs README.md
+
+# Can't use dh_installman because the manpages get compressed later,
+# and I want a hardlink of the compressed versions so they get hardlinked on the target system
 
 %:
 	dh $@

## http 1.8.0+ng3~recanonicalise-relative-symlinks

=== debian/changelog ===
http (1.8.0+ng3~recanonicalise-relative-symlinks-1) unstable; urgency=medium

  * Ensure all requested paths end up absolute by re-canonicalising them
    if they went through a non-absolute symlink

 -- nabijaczleweli <nabijaczleweli@gmail.com>  Thu, 20 Feb 2020 20:42:29 +0100

## http 1.8.0+ng4~standalone-options

=== debian/changelog ===
http (1.8.0+ng4~standalone-options-2) unstable; urgency=medium

  * Find and preserve unminified date.js, since source website
    http://www.javascripttoolbox.com has died
  * Fix licence spec of date.js
  * Fix Architecture from linux-any to any
  * Fix most evil-mode lintian warnings, notably:
    + debian-watch-file-is-missing;
    + spelling-error-in-binary and spelling-error-in-manpage,
      by way of patch, waiting for upstream
    + package-uses-old-debhelper-compat-version, by bumping debhelper compat
      level to 12;
    + source-contains-prebuilt-javascript-object, and
      very-long-line-length-in-source-file,
      by overriding: the upstream ships them that way,
      repacking brings little value, and original source is preserved

 -- nabijaczleweli <nabijaczleweli@gmail.com>  Fri, 28 Feb 2020 02:18:56 +0100

http (1.8.0+ng4~standalone-options-1) unstable; urgency=medium

  * Avoid building the binary twice
  * New upstream version 1.8.0+ng4~standalone-options
  * Patch in simple binary for extracting shell completion files
  * Install completions for bash, zsh, and fish

 -- nabijaczleweli <nabijaczleweli@gmail.com>  Sun, 23 Feb 2020 17:49:22 +0100

=== debian/rules ===
--- 
+++ 
@@ -9,16 +9,26 @@
 
 
 override_dh_auto_build:
-	$(RONN) --organization="http developers" http.md 
+	mkdir -p completions
+	$(RONN) --organization="http developers" http.md
 	RUSTFLAGS=-g $(CARGO) build --release
+	cd completions && ../target/release/http-build-completions
 
 override_dh_auto_install:
-	mkdir -p $(OUTDIR)usr/bin $(OUTDIR)usr/share/man/man1 $(OUTDIR)usr/share/doc/http
+	mkdir -p $(OUTDIR)usr/bin $(OUTDIR)usr/share/man/man1 $(OUTDIR)usr/share/doc/http $(OUTDIR)usr/share/zsh/vendor-functions $(OUTDIR)usr/share/fish/vendor_completions.d
 	cp target/release/http $(OUTDIR)usr/bin/
 	cd $(OUTDIR)usr/bin/ && ln http httplz
+	@
 	cat http.1 | gzip -9 > $(OUTDIR)usr/share/man/man1/http.1.gz
 	cd $(OUTDIR)usr/share/man/man1/ && ln http.1.gz httplz.1.gz
+	@
+	dh_bash-completion
+	# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=921236#17
+	cp $(wildcard completions/_*) $(OUTDIR)usr/share/zsh/vendor-functions/
+	# https://fishshell.com/docs/current/#where-to-put-completions
+	cp $(wildcard completions/*.fish) $(OUTDIR)usr/share/fish/vendor_completions.d/
 
+# for tag in $(git tag -l | tac); do git tag -ln1000 "$tag"; echo; echo; done | awk '!/[[:space:]]+\([[:alnum:]]{40}\)$/' | sed -re 's;\([[:alnum:]]{40}\);+;g' -e 's;\(#;(https://github.com/thecoshman/http/issues/;g' -e 's;\(@;(https://github.com/;g' | head -c -2
 override_dh_installchangelogs:
 	dh_installchangelogs debian/changelog.upstream

=== debian/watch ===
# Remember to update the upstream changelog with the snippet from d/rules!

version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/termimage-$1\.tar\.gz/ \
  https://github.com/nabijaczleweli/termimage/releases .*/v?(\d\S+)\.tar\.gz

## http 1.9.0

=== debian/changelog ===
http (1.9.0-1) unstable; urgency=medium

  * Fix d/watch
  * New upstream version 1.9.0
  * Rebase patches
  * Update upstream changelog
  * Add proper clean target. Don't generate html manpage
  * Fix build description to actually build in a clean sid chroot

 -- nabijaczleweli <nabijaczleweli@gmail.com>  Thu, 05 Mar 2020 15:50:16 +0100

http (1.8.0-3) stable; urgency=medium

  [Backport from sid @ 1.8.0+ng4_standalone-options-2]
  * Fix Architecture from linux-any to any
  * Fix most evil-mode lintian warnings
  * Fix licence spec of date.js
  * Add unminified date.js

 -- nabijaczleweli <nabijaczleweli@gmail.com>  Fri, 28 Feb 2020 03:09:53 +0100

http (1.8.0-2) stable; urgency=medium

  [Backport from sid @ 1.8.0+ng4_standalone-options-1]
  * Add upstream changelog. Fix versioning scheme
  * Fix lintian
  * Use debhelper overrides correctly. Fix source package Section
  * Avoid building the binary twice
  * Patch in simple binary for extracting shell completion files
  * Install completions for bash, zsh, and fish
  [Patch-in from upstream]
  * Patch-pick "Move LogLevel to mod options" from upstream

 -- nabijaczleweli <nabijaczleweli@gmail.com>  Sun, 23 Feb 2020 18:36:59 +0100

## http 1.9.1

=== debian/changelog ===
http (1.9.1-1) unstable; urgency=medium

  * New upstream version 1.9.1

 -- nabijaczleweli <nabijaczleweli@gmail.com>  Thu, 12 Mar 2020 14:40:28 +0100

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,18 @@
 Homepage: https://github.com/thecoshman/http
 Tag: implemented-in::rust, role::program
 Build-Depends: debhelper,
-#              ronn,  too old, broken on my machine
-#              rustc?
+               debhelper-compat (= 12),
+               bash-completion,
+               ronn (>= 0.9.0),
+#              ^ ronn before that fails with regex+locale related errors
+               locales,
+#              ^ we need to generate some locales for ronn
+               cargo,
+               pkg-config,
+               libssl-dev,
 
 Package: http
-Architecture: linux-any
-Section: web
-Priority: optional
+Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
 Description: Host These Things Please - basic HTTP server

## http 1.9.2

=== debian/changelog ===
http (1.9.2-1) unstable; urgency=medium

  * New upstream version 1.9.2

 -- nabijaczleweli <nabijaczleweli@gmail.com>  Thu, 23 Apr 2020 19:57:00 +0200

## http 1.9.3

=== debian/changelog ===
http (1.9.3-1) unstable; urgency=medium

  * New upstream version 1.9.3
  * Fix Tag
  * Update maintainer info

 -- наб <nabijaczleweli@gmail.com>  Tue, 16 Jun 2020 19:53:01 +0200

## http 1.10.0

=== debian/changelog ===
http (1.10.0-1) unstable; urgency=medium

  * New upstream version 1.10.0
  * Rebase patches

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sat, 03 Oct 2020 22:12:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: http
 Section: web
 Priority: optional
-Maintainer: nabijaczleweli <nabijaczleweli@gmail.com>
+Maintainer: наб <nabijaczleweli@gmail.com>
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Git: https://github.com/nabijaczleweli/http.deb.git
 Vcs-Browser: https://github.com/nabijaczleweli/http.deb
 Homepage: https://github.com/thecoshman/http
-Tag: implemented-in::rust, role::program
 Build-Depends: debhelper,
                debhelper-compat (= 12),
                bash-completion,
@@ -21,6 +20,7 @@
 
 Package: http
 Architecture: any
+Tag: implemented-in::rust, role::program
 Depends: ${misc:Depends},
          ${shlibs:Depends},
 Description: Host These Things Please - basic HTTP server

=== debian/rules ===
--- 
+++ 
@@ -2,17 +2,18 @@
 
 
 CARGO ?= cargo
-RONN ?= ronn
+GEM ?= gem
 
 OUTDIR = $(CURDIR)/debian/http/
 VERSION = $(shell awk '/^version/ {print $$3; exit}' Cargo.toml | sed 's/"//g')
 
 
 override_dh_auto_build:
-	mkdir -p completions
-	$(RONN) --organization="http developers" http.md
+	mkdir -p target/completions target/locales
+	localedef -i en_GB -c -f UTF-8 -A /usr/share/locale/locale.alias target/locales/en_GB.UTF-8
+	LOCPATH="target/locales/" LC_CTYPE="en_GB.UTF-8" ronn -r --organization="http developers" http.md
 	RUSTFLAGS=-g $(CARGO) build --release
-	cd completions && ../target/release/http-build-completions
+	cd target/completions && ../../target/release/http-build-completions
 
 override_dh_auto_install:
 	mkdir -p $(OUTDIR)usr/bin $(OUTDIR)usr/share/man/man1 $(OUTDIR)usr/share/doc/http $(OUTDIR)usr/share/zsh/vendor-functions $(OUTDIR)usr/share/fish/vendor_completions.d
@@ -24,9 +25,12 @@
 	@
 	dh_bash-completion
 	# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=921236#17
-	cp $(wildcard completions/_*) $(OUTDIR)usr/share/zsh/vendor-functions/
+	cp $(wildcard target/completions/_*) $(OUTDIR)usr/share/zsh/vendor-functions/
 	# https://fishshell.com/docs/current/#where-to-put-completions
-	cp $(wildcard completions/*.fish) $(OUTDIR)usr/share/fish/vendor_completions.d/
+	cp $(wildcard target/completions/*.fish) $(OUTDIR)usr/share/fish/vendor_completions.d/
+
+override_dh_auto_clean:
+	rm -rf target/ Cargo.lock http.1
 
 # for tag in $(git tag -l | tac); do git tag -ln1000 "$tag"; echo; echo; done | awk '!/[[:space:]]+\([[:alnum:]]{40}\)$/' | sed -re 's;\([[:alnum:]]{40}\);+;g' -e 's;\(#;(https://github.com/thecoshman/http/issues/;g' -e 's;\(@;(https://github.com/;g' | head -c -2
 override_dh_installchangelogs:

## http 1.10.1

=== debian/changelog ===
http (1.10.1-1) unstable; urgency=medium

  * Spec version sort for tags for changelogs
  * New upstream version 1.10.1

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Fri, 01 Jan 2021 20:43:49 +0100

## http 1.11.0

=== debian/changelog ===
http (1.11.0-1) unstable; urgency=medium

  * New upstream version 1.11.0

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Fri, 29 Jan 2021 15:41:55 +0100

## http 1.11.1

=== debian/changelog ===
http (1.11.1-1) unstable; urgency=medium

  * New upstream version 1.11.1

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Tue, 02 Feb 2021 18:31:36 +0100

=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 override_dh_auto_clean:
 	rm -rf target/ Cargo.lock http.1
 
-# for tag in $(git tag -l | tac); do git tag -ln1000 "$tag"; echo; echo; done | awk '!/[[:space:]]+\([[:alnum:]]{40}\)$/' | sed -re 's;\([[:alnum:]]{40}\);+;g' -e 's;\(#;(https://github.com/thecoshman/http/issues/;g' -e 's;\(@;(https://github.com/;g' | head -c -2
+# for tag in $(git tag -l | sort -rV); do git tag -ln1000 "$tag"; echo; echo; done | awk '!/[[:space:]]+\([[:alnum:]]{40}\)$/' | sed -re 's;\([[:alnum:]]{40}\);+;g' -e 's;\(#;(https://github.com/thecoshman/http/issues/;g' -e 's;\(@;(https://github.com/;g' | head -c -2
 override_dh_installchangelogs:
 	dh_installchangelogs debian/changelog.upstream

## http 1.12.2

=== debian/changelog ===
http (1.12.2-1~bpo11+1) bullseye; urgency=medium

  * Rebuild for bullseye.

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Wed, 15 Dec 2021 16:20:17 +0100

http (1.12.2-1) unstable; urgency=medium

  * New upstream version 1.12.2
  * Update upstream changelog
  * Move new stanza to generate upstream changelog to d/R.s
  * Rebase patches
  * Clean out unused variables from d/rules

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Wed, 15 Dec 2021 15:19:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: http
 Section: web
 Priority: optional
-Maintainer: наб <nabijaczleweli@gmail.com>
+Maintainer: наб <nabijaczleweli@nabijaczleweli.xyz>
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Git: https://github.com/nabijaczleweli/http.deb.git

=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,8 @@
 
 
 CARGO ?= cargo
-GEM ?= gem
 
 OUTDIR = $(CURDIR)/debian/http/
-VERSION = $(shell awk '/^version/ {print $$3; exit}' Cargo.toml | sed 's/"//g')
 
 
 override_dh_auto_build:
@@ -32,7 +30,6 @@
 override_dh_auto_clean:
 	rm -rf target/ Cargo.lock http.1
 
-# for tag in $(git tag -l | sort -rV); do git tag -ln1000 "$tag"; echo; echo; done | awk '!/[[:space:]]+\([[:alnum:]]{40}\)$/' | sed -re 's;\([[:alnum:]]{40}\);+;g' -e 's;\(#;(https://github.com/thecoshman/http/issues/;g' -e 's;\(@;(https://github.com/;g' | head -c -2
 override_dh_installchangelogs:
 	dh_installchangelogs debian/changelog.upstream

=== debian/watch ===
# Remember to update the upstream changelog with the snippet from d/rules!

version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/http-$1\.tar\.gz/ \
  https://github.com/thecoshman/http/releases .*/v?(\d\S+)\.tar\.gz

## http 1.12.3

=== debian/changelog ===
http (1.12.3-1~bpo11+1) bullseye; urgency=medium

  * Rebuild for bullseye.

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Thu, 27 Jan 2022 14:59:40 +0100

http (1.12.3-1) unstable; urgency=medium

  * New upstream version 1.12.3
  * Update upstream changelog

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Thu, 27 Jan 2022 14:40:12 +0100

## http 1.12.4

=== debian/changelog ===
http (1.12.4-1+deb11u1) bullseye; urgency=medium

  * Rebuild for bullseye

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Fri, 25 Feb 2022 23:25:32 +0100

http (1.12.4-1) unstable; urgency=medium

  * New upstream version 1.12.4
  * Update upstream changelog

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Fri, 25 Feb 2022 22:44:55 +0100

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	cp target/release/http $(OUTDIR)usr/bin/
 	cd $(OUTDIR)usr/bin/ && ln http httplz
 	@
-	cat http.1 | gzip -9 > $(OUTDIR)usr/share/man/man1/http.1.gz
+	gzip -9 < http.1 > $(OUTDIR)usr/share/man/man1/http.1.gz
 	cd $(OUTDIR)usr/share/man/man1/ && ln http.1.gz httplz.1.gz
 	@
 	dh_bash-completion

## http 1.12.5

=== debian/changelog ===
http (1.12.5-1) unstable; urgency=medium

  * Remove needless cat in d/rules
  * New upstream version 1.12.5
  * Update upstream changelog

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Tue, 17 May 2022 21:47:48 +0200

## http 1.13.0

=== debian/changelog ===
http (1.13.0-1) unstable; urgency=medium

  * Fix d/watch for new github
  * New upstream version 1.13.0
  * Rebase patches
  * Update upstream changelog

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sat, 15 Jul 2023 19:19:13 +0200

## http 1.13.1

=== debian/changelog ===
http (1.13.1-1) unstable; urgency=medium

  * New upstream version 1.13.1
  * Update upstream changelog
  * Skip dh_dwz since rustc always generates DWARF5

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Thu, 24 Aug 2023 15:06:14 +0200

=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,9 @@
 	# https://fishshell.com/docs/current/#where-to-put-completions
 	cp $(wildcard target/completions/*.fish) $(OUTDIR)usr/share/fish/vendor_completions.d/
 
+override_dh_dwz:
+	# https://101010.pl/@nabijaczleweli/110944972179495353
+
 override_dh_auto_clean:
 	rm -rf target/ Cargo.lock http.1

=== debian/watch ===
# Remember to update the upstream changelog with the snippet from d/rules!

version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/http-$1\.tar\.gz/ \
  https://github.com/thecoshman/http/tags .*/v?(\d\S+)\.tar\.gz

## http 1.13.2

=== debian/changelog ===
http (1.13.2-1) unstable; urgency=medium

  * New upstream version 1.13.2
  * Rebase upstream patches
  * Import upstream changelog

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Wed, 30 Aug 2023 17:19:53 +0200

## http 2.0.1

=== debian/changelog ===
http (2.0.1-1~bpo12+1) bookworm; urgency=medium

  * Rebuild for bookworm.

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sun, 02 Jun 2024 20:24:20 +0200

http (2.0.1-1) unstable; urgency=medium

  * New upstream version 2.0.1 (+ upstream changelog)
  * Rebase patches
  * Uncomment brotli simd feature, disabled upstream for cargo git installs
  * d/date.js: removed upstream
  * d/copyright: update for vendored deps and new assets
  * Use Debian version as generator branding

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sun, 02 Jun 2024 18:23:10 +0200

## http 2.1.0

=== debian/changelog ===
http (2.1.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Mon, 23 Sep 2024 23:25:31 +0200

http (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0 (+ changelog)
  * d/p/0003-Uncomment-brotli-simd-feature-commented-only-to-appe.patch: remove, unneeded
  * d/p/0002-Add-binary-for-generating-shell-completion-files.patch: refresh

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Mon, 23 Sep 2024 22:43:16 +0200

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	mkdir -p target/completions target/locales
 	localedef -i en_GB -c -f UTF-8 -A /usr/share/locale/locale.alias target/locales/en_GB.UTF-8
 	LOCPATH="target/locales/" LC_CTYPE="en_GB.UTF-8" ronn -r --organization="http developers" http.md
-	RUSTFLAGS=-g $(CARGO) build --release
+	RUSTFLAGS=-g HTTP_GENVER="$(shell IFS="$$IFS()" read -r _ v _ < debian/changelog; echo "$$v")" $(CARGO) build --release
 	cd target/completions && ../../target/release/http-build-completions
 
 override_dh_auto_install:
@@ -30,6 +30,9 @@
 override_dh_dwz:
 	# https://101010.pl/@nabijaczleweli/110944972179495353
 
+override_dh_clean:
+	dh_clean -X.orig  # Would delete vendore Cargo.toml.origs
+
 override_dh_auto_clean:
 	rm -rf target/ Cargo.lock http.1

## http 2.3.0

=== debian/changelog ===
http (2.3.0-1) unstable; urgency=medium

  * New upstream version 2.3.0 (+ changelog)
  * Accept -Pnodoc

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sat, 14 Jun 2025 15:06:48 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,17 @@
 #!/usr/bin/make -f
 
 
-CARGO ?= cargo
+CARGO ?= /home/nabijaczleweli/.cargo/bin/cargo
 
 OUTDIR = $(CURDIR)/debian/http/
 
 
 override_dh_auto_build:
 	mkdir -p target/completions target/locales
+ifeq "$(filter nodoc,$(DEB_BUILD_PROFILES))" ""
 	localedef -i en_GB -c -f UTF-8 -A /usr/share/locale/locale.alias target/locales/en_GB.UTF-8
 	LOCPATH="target/locales/" LC_CTYPE="en_GB.UTF-8" ronn -r --organization="http developers" http.md
+endif
 	RUSTFLAGS=-g HTTP_GENVER="$(shell IFS="$$IFS()" read -r _ v _ < debian/changelog; echo "$$v")" $(CARGO) build --release
 	cd target/completions && ../../target/release/http-build-completions
 
@@ -18,8 +20,10 @@
 	cp target/release/http $(OUTDIR)usr/bin/
 	cd $(OUTDIR)usr/bin/ && ln http httplz
 	@
+ifeq "$(filter nodoc,$(DEB_BUILD_PROFILES))" ""
 	gzip -9 < http.1 > $(OUTDIR)usr/share/man/man1/http.1.gz
 	cd $(OUTDIR)usr/share/man/man1/ && ln http.1.gz httplz.1.gz
+endif
 	@
 	dh_bash-completion
 	# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=921236#17

## http 2.3.1

=== debian/changelog ===
http (2.3.1-1) unstable; urgency=medium

  * New upstream version 2.3.1 (+ changelog)
  * Rebase patches
  * Use debian version for http --version output too

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Wed, 30 Jul 2025 18:50:49 +0200

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
 Build-Depends: debhelper,
                debhelper-compat (= 12),
                bash-completion,
-               ronn (>= 0.9.0),
+               ronn (>= 0.9.0) <!nodoc>,
 #              ^ ronn before that fails with regex+locale related errors
-               locales,
+               locales <!nodoc>,
 #              ^ we need to generate some locales for ronn
                cargo,
                pkg-config,

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 
-CARGO ?= /home/nabijaczleweli/.cargo/bin/cargo
+CARGO ?= cargo
 
 OUTDIR = $(CURDIR)/debian/http/

## http load-12mar2006

=== Makefile ===
--- 
+++ 
@@ -17,14 +17,19 @@
 
 BINDIR =	/usr/local/bin
 MANDIR =	/usr/local/man/man1
-CC =		cc
-CFLAGS =	-O $(SRANDOM_DEFS) $(SSL_DEFS) $(SSL_INC) -ansi -pedantic -U__STRICT_ANSI__ -Wall -Wpointer-arith -Wshadow -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wredundant-decls -Wno-long-long
+CC =		gcc -Wall
+CFLAGS =	-O $(SRANDOM_DEFS) $(SSL_DEFS) $(SSL_INC)
+#CFLAGS =	-g $(SRANDOM_DEFS) $(SSL_DEFS) $(SSL_INC)
 LDFLAGS =	-s $(SSL_LIBS) $(SYSV_LIBS)
+#LDFLAGS =	-g $(SSL_LIBS) $(SYSV_LIBS)
 
 all:		http_load
 
-http_load:	http_load.c timers.h port.h timers.o
-	$(CC) $(CFLAGS) http_load.c timers.o $(LDFLAGS) -o http_load
+http_load:	http_load.o timers.o
+	$(CC) $(CFLAGS) http_load.o timers.o $(LDFLAGS) -o http_load
+
+http_load.o:	http_load.c timers.h port.h
+	$(CC) $(CFLAGS) -c http_load.c
 
 timers.o:	timers.c timers.h
 	$(CC) $(CFLAGS) -c timers.c
@@ -39,7 +44,7 @@
 	rm -f http_load *.o core core.* *.core
 
 tar:
-	@name=`sed -n -e '/#define HTTP_LOAD_VERSION /!d' -e 's,.*http_load ,http_load-,' -e 's,",,p' version.h` ; \
+	@name=`sed -n -e '/define VERSION /!d' -e 's,.*http_load ,http_load-,' -e 's,",,p' version.h` ; \
 	  rm -rf $$name ; \
 	  mkdir $$name ; \
 	  tar cf - `cat FILES` | ( cd $$name ; tar xfBp - ) ; \
